> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Order

> Returns a single client portal order by ID.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /clients/{id}/orders/{order_id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /clients/{id}/orders/{order_id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Client ID
      - schema:
          type: string
        name: order_id
        in: path
        required: true
        description: Order ID
    get:
      tags:
        - Clients
      summary: Get Client Order
      description: Returns a single client portal order by ID.
      operationId: get-client-order
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientOrder'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid page:
                  value:
                    code: CLI-1100
                    error: Invalid page parameter
                Invalid items_per_page:
                  value:
                    code: CLI-1200
                    error: Invalid items_per_page parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Client not found:
                  value:
                    code: CLI-300
                    error: Client not found
                Order not found:
                  value:
                    code: CLI-1000
                    error: Order not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: CLI-2000
                    error: An unexpected error occurred
components:
  schemas:
    ClientOrder:
      title: ClientOrder
      type: object
      properties:
        id:
          type: string
          description: Unique order identifier.
        name:
          type: string
          description: Order name.
        comments:
          type: string
          nullable: true
          description: Internal comments.
        order_comments:
          type: string
          nullable: true
          description: Comments from the client.
        time_start:
          type: string
          description: Order start datetime.
        time_end:
          type: string
          description: Order end datetime.
        location:
          type: string
          nullable: true
          description: Location name.
        address:
          type: string
          nullable: true
          description: Street address.
        city:
          type: string
          nullable: true
          description: City.
        postal_code:
          type: string
          nullable: true
          description: Postal or ZIP code.
        order_status:
          type: integer
          description: Order status code.
          enum:
            - 0
            - 2
            - 86
            - 96
          x-enum-descriptions:
            '0': Pending
            '2': Approved
            '86': Declined
            '96': Deleted
        order_created:
          type: string
          description: Datetime when the order was created.
        shifts:
          type: array
          description: Shifts within this order.
          items:
            $ref: '#/components/schemas/ClientOrderShift'
    ClientOrderShift:
      title: ClientOrderShift
      type: object
      properties:
        id:
          type: string
          description: Unique shift identifier.
        custom_name:
          type: string
          nullable: true
          description: Custom shift name.
        role_id:
          type: string
          nullable: true
          description: Role/skillset ID for the shift.
        quantity:
          type: integer
          description: Number of workers needed.
        start:
          type: string
          description: Shift start datetime.
        end:
          type: string
          description: Shift end datetime.
        overnight:
          type: boolean
          description: Whether the shift spans overnight.
        comments:
          type: string
          nullable: true
          description: Shift-specific comments.
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````